#include <array>
#include <dwarfs/tool/manpage.h>

namespace dwarfs::tool::manpage {

// NOLINTBEGIN(readability-*)

namespace {
#if 0
Heading(1, dwarfsextract(1) -- extract DwarFS image, None)
#endif
constexpr uint32_t const line0_indent_first{0};
constexpr uint32_t const line0_indent_next{0};
constexpr std::array<element, 1> const line0_elements{{
    {fmt::fg(fmt::terminal_color::bright_green) | fmt::emphasis::bold /* {'head', 'h1'} */, R"(dwarfsextract(1) -- extract DwarFS image)"} /* raw text */,
}};

constexpr uint32_t const line1_indent_first{0};
constexpr uint32_t const line1_indent_next{0};
constexpr std::array<element, 0> const line1_elements{{
}};

#if 0
Heading(2, SYNOPSIS, None)
#endif
constexpr uint32_t const line2_indent_first{0};
constexpr uint32_t const line2_indent_next{0};
constexpr std::array<element, 1> const line2_elements{{
    {fmt::fg(fmt::terminal_color::bright_green) | fmt::emphasis::bold /* {'head', 'h2'} */, R"(SYNOPSIS)"} /* raw text */,
}};

#if 0
<__main__.Paragraph object at 0x7fed594ee120>
#endif
// paragraph
constexpr uint32_t const line3_indent_first{8};
constexpr uint32_t const line3_indent_next{8};
constexpr std::array<element, 12> const line3_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(dwarfsextract)"} /* inline code */,
    {{} /* set() */, R"( )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-i)"} /* inline code */,
    {{} /* set() */, R"( )"} /* raw text */,
    {fmt::emphasis::italic /* {'i'} */, R"(image)"} /* raw text */,
    {{} /* set() */, R"( [)"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-o)"} /* inline code */,
    {{} /* set() */, R"( )"} /* raw text */,
    {fmt::emphasis::italic /* {'i'} */, R"(dir)"} /* raw text */,
    {{} /* set() */, R"(] [)"} /* raw text */,
    {fmt::emphasis::italic /* {'i'} */, R"(options)"} /* raw text */,
    {{} /* set() */, R"(...])"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line4_indent_first{8};
constexpr uint32_t const line4_indent_next{8};
constexpr std::array<element, 14> const line4_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(dwarfsextract)"} /* inline code */,
    {{} /* set() */, R"( )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-i)"} /* inline code */,
    {{} /* set() */, R"( )"} /* raw text */,
    {fmt::emphasis::italic /* {'i'} */, R"(image)"} /* raw text */,
    {{} /* set() */, R"( -f )"} /* raw text */,
    {fmt::emphasis::italic /* {'i'} */, R"(format)"} /* raw text */,
    {{} /* set() */, R"( [)"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-o)"} /* inline code */,
    {{} /* set() */, R"( )"} /* raw text */,
    {fmt::emphasis::italic /* {'i'} */, R"(file)"} /* raw text */,
    {{} /* set() */, R"(] [)"} /* raw text */,
    {fmt::emphasis::italic /* {'i'} */, R"(options)"} /* raw text */,
    {{} /* set() */, R"(...])"} /* raw text */,
}};

constexpr uint32_t const line5_indent_first{0};
constexpr uint32_t const line5_indent_next{0};
constexpr std::array<element, 0> const line5_elements{{
}};

#if 0
Heading(2, DESCRIPTION, None)
#endif
constexpr uint32_t const line6_indent_first{0};
constexpr uint32_t const line6_indent_next{0};
constexpr std::array<element, 1> const line6_elements{{
    {fmt::fg(fmt::terminal_color::bright_green) | fmt::emphasis::bold /* {'head', 'h2'} */, R"(DESCRIPTION)"} /* raw text */,
}};

#if 0
<__main__.Paragraph object at 0x7fed5954c410>
#endif
// paragraph
constexpr uint32_t const line7_indent_first{8};
constexpr uint32_t const line7_indent_next{8};
constexpr std::array<element, 4> const line7_elements{{
    {fmt::emphasis::bold /* {'b'} */, R"(dwarfsextract)"} /* raw text */,
    {{} /* set() */, R"( allows you to extract a DwarFS image, either directly)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(into another archive file, or to a directory on disk.)"} /* raw text */,
}};

constexpr uint32_t const line8_indent_first{0};
constexpr uint32_t const line8_indent_next{0};
constexpr std::array<element, 0> const line8_elements{{
}};

#if 0
<__main__.Paragraph object at 0x7fed5954c2d0>
#endif
// paragraph
constexpr uint32_t const line9_indent_first{8};
constexpr uint32_t const line9_indent_next{8};
constexpr std::array<element, 1> const line9_elements{{
    {{} /* set() */, R"(To extract the filesystem image to a directory, you can use:)"} /* raw text */,
}};

constexpr uint32_t const line10_indent_first{0};
constexpr uint32_t const line10_indent_next{0};
constexpr std::array<element, 0> const line10_elements{{
}};

#if 0
<__main__.BlockCode object at 0x7fed594ee120>
#endif
// raw text
constexpr uint32_t const line11_indent_first{12};
constexpr uint32_t const line11_indent_next{12};
constexpr std::array<element, 1> const line11_elements{{
    {fmt::emphasis::faint /* {'block'} */, R"(dwarfsextract -i image.dwarfs -o output-directory)"} /* None */,
}};

// raw text
constexpr uint32_t const line12_indent_first{12};
constexpr uint32_t const line12_indent_next{12};
constexpr std::array<element, 1> const line12_elements{{
    {fmt::emphasis::faint /* {'block'} */, R"()"} /* None */,
}};

#if 0
<__main__.Paragraph object at 0x7fed594df820>
#endif
// paragraph
constexpr uint32_t const line13_indent_first{8};
constexpr uint32_t const line13_indent_next{8};
constexpr std::array<element, 1> const line13_elements{{
    {{} /* set() */, R"(The output directory must exist.)"} /* raw text */,
}};

constexpr uint32_t const line14_indent_first{0};
constexpr uint32_t const line14_indent_next{0};
constexpr std::array<element, 0> const line14_elements{{
}};

#if 0
<__main__.Paragraph object at 0x7fed594dfa80>
#endif
// paragraph
constexpr uint32_t const line15_indent_first{8};
constexpr uint32_t const line15_indent_next{8};
constexpr std::array<element, 3> const line15_elements{{
    {{} /* set() */, R"(You can also rewrite the contents of the filesystem image as another)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(archive type, for example, to write a tar archive, you can use:)"} /* raw text */,
}};

constexpr uint32_t const line16_indent_first{0};
constexpr uint32_t const line16_indent_next{0};
constexpr std::array<element, 0> const line16_elements{{
}};

#if 0
<__main__.BlockCode object at 0x7fed5954c2d0>
#endif
// raw text
constexpr uint32_t const line17_indent_first{12};
constexpr uint32_t const line17_indent_next{12};
constexpr std::array<element, 1> const line17_elements{{
    {fmt::emphasis::faint /* {'block'} */, R"(dwarfsextract -i image.dwarfs -o output.tar -f ustar)"} /* None */,
}};

// raw text
constexpr uint32_t const line18_indent_first{12};
constexpr uint32_t const line18_indent_next{12};
constexpr std::array<element, 1> const line18_elements{{
    {fmt::emphasis::faint /* {'block'} */, R"()"} /* None */,
}};

#if 0
<__main__.Paragraph object at 0x7fed59514950>
#endif
// paragraph
constexpr uint32_t const line19_indent_first{8};
constexpr uint32_t const line19_indent_next{8};
constexpr std::array<element, 1> const line19_elements{{
    {{} /* set() */, R"(For a list of supported formats, see libarchive-formats(5).)"} /* raw text */,
}};

constexpr uint32_t const line20_indent_first{0};
constexpr uint32_t const line20_indent_next{0};
constexpr std::array<element, 0> const line20_elements{{
}};

#if 0
<__main__.Paragraph object at 0x7fed595485a0>
#endif
// paragraph
constexpr uint32_t const line21_indent_first{8};
constexpr uint32_t const line21_indent_next{8};
constexpr std::array<element, 1> const line21_elements{{
    {{} /* set() */, R"(If you want to compress the output archive, you can use a pipeline:)"} /* raw text */,
}};

constexpr uint32_t const line22_indent_first{0};
constexpr uint32_t const line22_indent_next{0};
constexpr std::array<element, 0> const line22_elements{{
}};

#if 0
<__main__.BlockCode object at 0x7fed5954c690>
#endif
// raw text
constexpr uint32_t const line23_indent_first{12};
constexpr uint32_t const line23_indent_next{12};
constexpr std::array<element, 1> const line23_elements{{
    {fmt::emphasis::faint /* {'block'} */, R"(dwarfsextract -i image.dwarfs -f ustar | gzip > output.tar.gz)"} /* None */,
}};

// raw text
constexpr uint32_t const line24_indent_first{12};
constexpr uint32_t const line24_indent_next{12};
constexpr std::array<element, 1> const line24_elements{{
    {fmt::emphasis::faint /* {'block'} */, R"()"} /* None */,
}};

#if 0
<__main__.Paragraph object at 0x7fed595485a0>
#endif
// paragraph
constexpr uint32_t const line25_indent_first{8};
constexpr uint32_t const line25_indent_next{8};
constexpr std::array<element, 3> const line25_elements{{
    {{} /* set() */, R"(You could also use this as an alternative way to extract the files)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(to disk:)"} /* raw text */,
}};

constexpr uint32_t const line26_indent_first{0};
constexpr uint32_t const line26_indent_next{0};
constexpr std::array<element, 0> const line26_elements{{
}};

#if 0
<__main__.BlockCode object at 0x7fed594dfa80>
#endif
// raw text
constexpr uint32_t const line27_indent_first{12};
constexpr uint32_t const line27_indent_next{12};
constexpr std::array<element, 1> const line27_elements{{
    {fmt::emphasis::faint /* {'block'} */, R"(dwarfsextract -i image.dwarfs -f cpio | cpio -id)"} /* None */,
}};

// raw text
constexpr uint32_t const line28_indent_first{12};
constexpr uint32_t const line28_indent_next{12};
constexpr std::array<element, 1> const line28_elements{{
    {fmt::emphasis::faint /* {'block'} */, R"()"} /* None */,
}};

#if 0
Heading(2, OPTIONS, None)
#endif
constexpr uint32_t const line29_indent_first{0};
constexpr uint32_t const line29_indent_next{0};
constexpr std::array<element, 1> const line29_elements{{
    {fmt::fg(fmt::terminal_color::bright_green) | fmt::emphasis::bold /* {'head', 'h2'} */, R"(OPTIONS)"} /* raw text */,
}};

#if 0
[ListItem([<__main__.Paragraph object at 0x7fed594fe350>], list item), ListItem([<__main__.Paragraph object at 0x7fed594fe550>], list item), ListItem([<__main__.Paragraph object at 0x7fed5955c320>], list item), ListItem([<__main__.Paragraph object at 0x7fed5955c410>], list item), ListItem([<__main__.Paragraph object at 0x7fed5956b070>], list item), ListItem([<__main__.Paragraph object at 0x7fed5956b850>], list item), ListItem([<__main__.Paragraph object at 0x7fed5953c530>], list item), ListItem([<__main__.Paragraph object at 0x7fed59699f10>], list item), ListItem([<__main__.Paragraph object at 0x7fed59699fd0>], list item), ListItem([<__main__.Paragraph object at 0x7fed595249f0>], list item), ListItem([<__main__.Paragraph object at 0x7fed59524c00>], list item), ListItem([<__main__.Paragraph object at 0x7fed5953ad50>], list item), ListItem([<__main__.Paragraph object at 0x7fed5953bbb0>], list item), ListItem([<__main__.Paragraph object at 0x7fed597d2a80>], list item), ListItem([<__main__.Paragraph object at 0x7fed596cbbd0>], list item), ListItem([<__main__.Paragraph object at 0x7fed596cbcd0>], list item)]
#endif
// paragraph
constexpr uint32_t const line30_indent_first{8};
constexpr uint32_t const line30_indent_next{8};
constexpr std::array<element, 5> const line30_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-i)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--input=)"} /* inline code */,
    {fmt::emphasis::italic /* {'i'} */, R"(file)"} /* raw text */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line31_indent_first{16};
constexpr uint32_t const line31_indent_next{16};
constexpr std::array<element, 1> const line31_elements{{
    {{} /* set() */, R"(Path to the source filesystem.)"} /* raw text */,
}};

constexpr uint32_t const line32_indent_first{0};
constexpr uint32_t const line32_indent_next{0};
constexpr std::array<element, 0> const line32_elements{{
}};

// paragraph
constexpr uint32_t const line33_indent_first{8};
constexpr uint32_t const line33_indent_next{8};
constexpr std::array<element, 7> const line33_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-o)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--output=)"} /* inline code */,
    {fmt::emphasis::italic /* {'i'} */, R"(directory)"} /* raw text */,
    {{} /* set() */, R"(|)"} /* raw text */,
    {fmt::emphasis::italic /* {'i'} */, R"(file)"} /* raw text */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line34_indent_first{16};
constexpr uint32_t const line34_indent_next{16};
constexpr std::array<element, 9> const line34_elements{{
    {{} /* set() */, R"(If no format is specified, this is the directory to which the contents)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(of the filesystem should be extracted. If a format is specified, this)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(is the name of the output archive. This option can be omitted, in which)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(case the default is to extract the files to the current directory, or)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(to write the archive data to stdout.)"} /* raw text */,
}};

constexpr uint32_t const line35_indent_first{0};
constexpr uint32_t const line35_indent_next{0};
constexpr std::array<element, 0> const line35_elements{{
}};

// paragraph
constexpr uint32_t const line36_indent_first{8};
constexpr uint32_t const line36_indent_next{8};
constexpr std::array<element, 3> const line36_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--pattern=)"} /* inline code */,
    {fmt::emphasis::italic /* {'i'} */, R"(glob-pattern)"} /* raw text */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line37_indent_first{16};
constexpr uint32_t const line37_indent_next{16};
constexpr std::array<element, 48> const line37_elements{{
    {{} /* set() */, R"(If specified, only extract entries matching the pattern. Can be specified)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(multiple times, in which case all files matching one or more patterns will)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(be extracted. Can also be specified without )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--pattern)"} /* inline code */,
    {{} /* set() */, R"( for simplicity.)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(If prefixed with )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(i:)"} /* inline code */,
    {{} /* set() */, R"(, the glob pattern match will be case-insensitive,)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(e.g. )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(i:**/*.txt)"} /* inline code */,
    {{} /* set() */, R"( would match all )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(.txt)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(.TXT)"} /* inline code */,
    {{} /* set() */, R"( and )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(.tXt)"} /* inline code */,
    {{} /* set() */, R"( files. If you)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(want the )"} /* raw text */,
    {fmt::emphasis::italic /* {'i'} */, R"(actual)"} /* raw text */,
    {{} /* set() */, R"( pattern to start with )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(i:)"} /* inline code */,
    {{} /* set() */, R"(, you have to prefix the)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(pattern with )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(:)"} /* inline code */,
    {{} /* set() */, R"(, i.e. )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(:i:...)"} /* inline code */,
    {{} /* set() */, R"(. The glob patterns support the wildcards)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(*)"} /* inline code */,
    {{} /* set() */, R"( and )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(?)"} /* inline code */,
    {{} /* set() */, R"(, character classes ()"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"([avt])"} /* inline code */,
    {{} /* set() */, R"(), ranges ()"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"([a-h])"} /* inline code */,
    {{} /* set() */, R"(), complementation)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(()"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"([!a-h])"} /* inline code */,
    {{} /* set() */, R"() and globstar ()"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(**)"} /* inline code */,
    {{} /* set() */, R"().)"} /* raw text */,
}};

constexpr uint32_t const line38_indent_first{0};
constexpr uint32_t const line38_indent_next{0};
constexpr std::array<element, 0> const line38_elements{{
}};

// paragraph
constexpr uint32_t const line39_indent_first{8};
constexpr uint32_t const line39_indent_next{8};
constexpr std::array<element, 7> const line39_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-O)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--image-offset=)"} /* inline code */,
    {fmt::emphasis::italic /* {'i'} */, R"(value)"} /* raw text */,
    {{} /* set() */, R"(|)"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(auto)"} /* inline code */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line40_indent_first{16};
constexpr uint32_t const line40_indent_next{16};
constexpr std::array<element, 9> const line40_elements{{
    {{} /* set() */, R"(Specify the byte offset at which the filesystem is located in the image.)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(Use )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(auto)"} /* inline code */,
    {{} /* set() */, R"( to detect the offset automatically. This is also the default.)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(This is only useful for images that have some header located before the)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(actual filesystem data.)"} /* raw text */,
}};

constexpr uint32_t const line41_indent_first{0};
constexpr uint32_t const line41_indent_next{0};
constexpr std::array<element, 0> const line41_elements{{
}};

// paragraph
constexpr uint32_t const line42_indent_first{8};
constexpr uint32_t const line42_indent_next{8};
constexpr std::array<element, 5> const line42_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-f)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--format=)"} /* inline code */,
    {fmt::emphasis::italic /* {'i'} */, R"(format)"} /* raw text */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line43_indent_first{16};
constexpr uint32_t const line43_indent_next{16};
constexpr std::array<element, 7> const line43_elements{{
    {{} /* set() */, R"(The archive format to produce. If this is left empty or unspecified,)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(files will be extracted to the output directory (or the current directory)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(if no output directory is specified). For a full list of supported formats,)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(see libarchive-formats(5).)"} /* raw text */,
}};

constexpr uint32_t const line44_indent_first{0};
constexpr uint32_t const line44_indent_next{0};
constexpr std::array<element, 0> const line44_elements{{
}};

// paragraph
constexpr uint32_t const line45_indent_first{8};
constexpr uint32_t const line45_indent_next{8};
constexpr std::array<element, 2> const line45_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--continue-on-error)"} /* inline code */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line46_indent_first{16};
constexpr uint32_t const line46_indent_next{16};
constexpr std::array<element, 5> const line46_elements{{
    {{} /* set() */, R"(Try to continue with extraction even when errors are encountered. This)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(only applies to errors when reading from the file system image. Errors)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(when writing the extracted files will still be fatal.)"} /* raw text */,
}};

constexpr uint32_t const line47_indent_first{0};
constexpr uint32_t const line47_indent_next{0};
constexpr std::array<element, 0> const line47_elements{{
}};

// paragraph
constexpr uint32_t const line48_indent_first{8};
constexpr uint32_t const line48_indent_next{8};
constexpr std::array<element, 2> const line48_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--disable-integrity-check)"} /* inline code */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line49_indent_first{16};
constexpr uint32_t const line49_indent_next{16};
constexpr std::array<element, 9> const line49_elements{{
    {{} /* set() */, R"(This option disables all block integrity checks on the file system data.)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(There is a non-zero chance that this allows further data to be read from)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(corrupted file systems. However, there's also a non-zero chance that it)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(will completely crash the program. So please don't use this unless you)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(know what you're doing.)"} /* raw text */,
}};

constexpr uint32_t const line50_indent_first{0};
constexpr uint32_t const line50_indent_next{0};
constexpr std::array<element, 0> const line50_elements{{
}};

// paragraph
constexpr uint32_t const line51_indent_first{8};
constexpr uint32_t const line51_indent_next{8};
constexpr std::array<element, 2> const line51_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--stdout-progress)"} /* inline code */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line52_indent_first{16};
constexpr uint32_t const line52_indent_next{16};
constexpr std::array<element, 4> const line52_elements{{
    {{} /* set() */, R"(Write progress percentage to stdout. Useful for piping to tools like)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(zenity)"} /* inline code */,
    {{} /* set() */, R"(.)"} /* raw text */,
}};

constexpr uint32_t const line53_indent_first{0};
constexpr uint32_t const line53_indent_next{0};
constexpr std::array<element, 0> const line53_elements{{
}};

// paragraph
constexpr uint32_t const line54_indent_first{8};
constexpr uint32_t const line54_indent_next{8};
constexpr std::array<element, 5> const line54_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-n)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--num-workers=)"} /* inline code */,
    {fmt::emphasis::italic /* {'i'} */, R"(value)"} /* raw text */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line55_indent_first{16};
constexpr uint32_t const line55_indent_next{16};
constexpr std::array<element, 1> const line55_elements{{
    {{} /* set() */, R"(Number of worker threads used for extracting the filesystem.)"} /* raw text */,
}};

constexpr uint32_t const line56_indent_first{0};
constexpr uint32_t const line56_indent_next{0};
constexpr std::array<element, 0> const line56_elements{{
}};

// paragraph
constexpr uint32_t const line57_indent_first{8};
constexpr uint32_t const line57_indent_next{8};
constexpr std::array<element, 5> const line57_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-s)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--cache-size=)"} /* inline code */,
    {fmt::emphasis::italic /* {'i'} */, R"(value)"} /* raw text */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line58_indent_first{16};
constexpr uint32_t const line58_indent_next{16};
constexpr std::array<element, 17> const line58_elements{{
    {{} /* set() */, R"(Size of the block cache, in bytes. You can append suffixes ()"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(k)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(m)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(g)"} /* inline code */,
    {{} /* set() */, R"())"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(to specify the size in KiB, MiB and GiB, respectively. Note that this is)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(not the upper memory limit of the process, as there may be blocks in)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(flight that are not stored in the cache. Also, each block that hasn't been)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(fully decompressed yet will carry decompressor state along with it, which)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(can use a significant amount of additional memory.)"} /* raw text */,
}};

constexpr uint32_t const line59_indent_first{0};
constexpr uint32_t const line59_indent_next{0};
constexpr std::array<element, 0> const line59_elements{{
}};

// paragraph
constexpr uint32_t const line60_indent_first{8};
constexpr uint32_t const line60_indent_next{8};
constexpr std::array<element, 3> const line60_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--log-level=)"} /* inline code */,
    {fmt::emphasis::italic /* {'i'} */, R"(name)"} /* raw text */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line61_indent_first{16};
constexpr uint32_t const line61_indent_next{16};
constexpr std::array<element, 1> const line61_elements{{
    {{} /* set() */, R"(Specify a logging level.)"} /* raw text */,
}};

constexpr uint32_t const line62_indent_first{0};
constexpr uint32_t const line62_indent_next{0};
constexpr std::array<element, 0> const line62_elements{{
}};

// paragraph
constexpr uint32_t const line63_indent_first{8};
constexpr uint32_t const line63_indent_next{8};
constexpr std::array<element, 2> const line63_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--log-with-context)"} /* inline code */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line64_indent_first{16};
constexpr uint32_t const line64_indent_next{16};
constexpr std::array<element, 9> const line64_elements{{
    {{} /* set() */, R"(Enable logging context regardless of level. By default, context is enabled)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(if the level is )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(verbose)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(debug)"} /* inline code */,
    {{} /* set() */, R"( or )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(trace)"} /* inline code */,
    {{} /* set() */, R"(.)"} /* raw text */,
}};

constexpr uint32_t const line65_indent_first{0};
constexpr uint32_t const line65_indent_next{0};
constexpr std::array<element, 0> const line65_elements{{
}};

// paragraph
constexpr uint32_t const line66_indent_first{8};
constexpr uint32_t const line66_indent_next{8};
constexpr std::array<element, 6> const line66_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--perfmon=)"} /* inline code */,
    {fmt::emphasis::italic /* {'i'} */, R"(name)"} /* raw text */,
    {{} /* set() */, R"([)"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(,)"} /* inline code */,
    {fmt::emphasis::italic /* {'i'} */, R"(name)"} /* raw text */,
    {{} /* set() */, R"(...])"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line67_indent_first{16};
constexpr uint32_t const line67_indent_next{16};
constexpr std::array<element, 14> const line67_elements{{
    {{} /* set() */, R"(Enable performance monitoring for the list of comma-separated components.)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(This option is only available if the project was built with performance)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(monitoring enabled. Available components include )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(fuse)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(filesystem_v2)"} /* inline code */,
    {{} /* set() */, R"(,)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(inode_reader_v2)"} /* inline code */,
    {{} /* set() */, R"( and )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(block_cache)"} /* inline code */,
    {{} /* set() */, R"(.)"} /* raw text */,
}};

constexpr uint32_t const line68_indent_first{0};
constexpr uint32_t const line68_indent_next{0};
constexpr std::array<element, 0> const line68_elements{{
}};

// paragraph
constexpr uint32_t const line69_indent_first{8};
constexpr uint32_t const line69_indent_next{8};
constexpr std::array<element, 3> const line69_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--perfmon-trace=)"} /* inline code */,
    {fmt::emphasis::italic /* {'i'} */, R"(file)"} /* raw text */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line70_indent_first{16};
constexpr uint32_t const line70_indent_next{16};
constexpr std::array<element, 5> const line70_elements{{
    {{} /* set() */, R"(Write JSON trace data for all components enabled by )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--perfmon)"} /* inline code */,
    {{} /* set() */, R"( to this)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(file when the process exits.)"} /* raw text */,
}};

constexpr uint32_t const line71_indent_first{0};
constexpr uint32_t const line71_indent_next{0};
constexpr std::array<element, 0> const line71_elements{{
}};

// paragraph
constexpr uint32_t const line72_indent_first{8};
constexpr uint32_t const line72_indent_next{8};
constexpr std::array<element, 4> const line72_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(-h)"} /* inline code */,
    {{} /* set() */, R"(, )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--help)"} /* inline code */,
    {{} /* set() */, R"()"} /* raw text */,
}};

// paragraph
constexpr uint32_t const line73_indent_first{16};
constexpr uint32_t const line73_indent_next{16};
constexpr std::array<element, 1> const line73_elements{{
    {{} /* set() */, R"(Show program help, including option defaults.)"} /* raw text */,
}};

constexpr uint32_t const line74_indent_first{0};
constexpr uint32_t const line74_indent_next{0};
constexpr std::array<element, 0> const line74_elements{{
}};

// paragraph
constexpr uint32_t const line75_indent_first{8};
constexpr uint32_t const line75_indent_next{16};
constexpr std::array<element, 11> const line75_elements{{
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(--man)"} /* inline code */,
    {{} /* set() */, R"(   )"} /* raw text */,
    {{} /* set() */, R"(If the project was built with support for built-in manual pages, this)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(option will show the manual page. If supported by the terminal and a)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(suitable pager (e.g. )"} /* raw text */,
    {fmt::fg(fmt::terminal_color::bright_blue) | fmt::emphasis::bold /* {'code'} */, R"(less)"} /* inline code */,
    {{} /* set() */, R"() is found, the manual page is displayed)"} /* raw text */,
    {{} /* set() */, R"( )"} /* whitespace */,
    {{} /* set() */, R"(in the pager.)"} /* raw text */,
}};

constexpr uint32_t const line76_indent_first{0};
constexpr uint32_t const line76_indent_next{0};
constexpr std::array<element, 0> const line76_elements{{
}};

#if 0
Heading(2, AUTHOR, None)
#endif
constexpr uint32_t const line77_indent_first{0};
constexpr uint32_t const line77_indent_next{0};
constexpr std::array<element, 1> const line77_elements{{
    {fmt::fg(fmt::terminal_color::bright_green) | fmt::emphasis::bold /* {'head', 'h2'} */, R"(AUTHOR)"} /* raw text */,
}};

#if 0
<__main__.Paragraph object at 0x7fed594f5a90>
#endif
// paragraph
constexpr uint32_t const line78_indent_first{8};
constexpr uint32_t const line78_indent_next{8};
constexpr std::array<element, 1> const line78_elements{{
    {{} /* set() */, R"(Written by Marcus Holland-Moritz.)"} /* raw text */,
}};

constexpr uint32_t const line79_indent_first{0};
constexpr uint32_t const line79_indent_next{0};
constexpr std::array<element, 0> const line79_elements{{
}};

#if 0
Heading(2, COPYRIGHT, None)
#endif
constexpr uint32_t const line80_indent_first{0};
constexpr uint32_t const line80_indent_next{0};
constexpr std::array<element, 1> const line80_elements{{
    {fmt::fg(fmt::terminal_color::bright_green) | fmt::emphasis::bold /* {'head', 'h2'} */, R"(COPYRIGHT)"} /* raw text */,
}};

#if 0
<__main__.Paragraph object at 0x7fed594f5a90>
#endif
// paragraph
constexpr uint32_t const line81_indent_first{8};
constexpr uint32_t const line81_indent_next{8};
constexpr std::array<element, 1> const line81_elements{{
    {{} /* set() */, R"(Copyright (C) Marcus Holland-Moritz.)"} /* raw text */,
}};

constexpr uint32_t const line82_indent_first{0};
constexpr uint32_t const line82_indent_next{0};
constexpr std::array<element, 0> const line82_elements{{
}};

#if 0
Heading(2, SEE ALSO, None)
#endif
constexpr uint32_t const line83_indent_first{0};
constexpr uint32_t const line83_indent_next{0};
constexpr std::array<element, 1> const line83_elements{{
    {fmt::fg(fmt::terminal_color::bright_green) | fmt::emphasis::bold /* {'head', 'h2'} */, R"(SEE ALSO)"} /* raw text */,
}};

#if 0
<__main__.Paragraph object at 0x7fed59564710>
#endif
// paragraph
constexpr uint32_t const line84_indent_first{8};
constexpr uint32_t const line84_indent_next{8};
constexpr std::array<element, 1> const line84_elements{{
    {{} /* set() */, R"(mkdwarfs(1), dwarfs(1), dwarfsck(1), dwarfs-format(5), libarchive-formats(5))"} /* raw text */,
}};

constexpr uint32_t const line85_indent_first{0};
constexpr uint32_t const line85_indent_next{0};
constexpr std::array<element, 0> const line85_elements{{
}};

constexpr std::array<line, 86> const document_array{{
    {line0_indent_first, line0_indent_next, line0_elements},
    {line1_indent_first, line1_indent_next, line1_elements},
    {line2_indent_first, line2_indent_next, line2_elements},
    {line3_indent_first, line3_indent_next, line3_elements},
    {line4_indent_first, line4_indent_next, line4_elements},
    {line5_indent_first, line5_indent_next, line5_elements},
    {line6_indent_first, line6_indent_next, line6_elements},
    {line7_indent_first, line7_indent_next, line7_elements},
    {line8_indent_first, line8_indent_next, line8_elements},
    {line9_indent_first, line9_indent_next, line9_elements},
    {line10_indent_first, line10_indent_next, line10_elements},
    {line11_indent_first, line11_indent_next, line11_elements},
    {line12_indent_first, line12_indent_next, line12_elements},
    {line13_indent_first, line13_indent_next, line13_elements},
    {line14_indent_first, line14_indent_next, line14_elements},
    {line15_indent_first, line15_indent_next, line15_elements},
    {line16_indent_first, line16_indent_next, line16_elements},
    {line17_indent_first, line17_indent_next, line17_elements},
    {line18_indent_first, line18_indent_next, line18_elements},
    {line19_indent_first, line19_indent_next, line19_elements},
    {line20_indent_first, line20_indent_next, line20_elements},
    {line21_indent_first, line21_indent_next, line21_elements},
    {line22_indent_first, line22_indent_next, line22_elements},
    {line23_indent_first, line23_indent_next, line23_elements},
    {line24_indent_first, line24_indent_next, line24_elements},
    {line25_indent_first, line25_indent_next, line25_elements},
    {line26_indent_first, line26_indent_next, line26_elements},
    {line27_indent_first, line27_indent_next, line27_elements},
    {line28_indent_first, line28_indent_next, line28_elements},
    {line29_indent_first, line29_indent_next, line29_elements},
    {line30_indent_first, line30_indent_next, line30_elements},
    {line31_indent_first, line31_indent_next, line31_elements},
    {line32_indent_first, line32_indent_next, line32_elements},
    {line33_indent_first, line33_indent_next, line33_elements},
    {line34_indent_first, line34_indent_next, line34_elements},
    {line35_indent_first, line35_indent_next, line35_elements},
    {line36_indent_first, line36_indent_next, line36_elements},
    {line37_indent_first, line37_indent_next, line37_elements},
    {line38_indent_first, line38_indent_next, line38_elements},
    {line39_indent_first, line39_indent_next, line39_elements},
    {line40_indent_first, line40_indent_next, line40_elements},
    {line41_indent_first, line41_indent_next, line41_elements},
    {line42_indent_first, line42_indent_next, line42_elements},
    {line43_indent_first, line43_indent_next, line43_elements},
    {line44_indent_first, line44_indent_next, line44_elements},
    {line45_indent_first, line45_indent_next, line45_elements},
    {line46_indent_first, line46_indent_next, line46_elements},
    {line47_indent_first, line47_indent_next, line47_elements},
    {line48_indent_first, line48_indent_next, line48_elements},
    {line49_indent_first, line49_indent_next, line49_elements},
    {line50_indent_first, line50_indent_next, line50_elements},
    {line51_indent_first, line51_indent_next, line51_elements},
    {line52_indent_first, line52_indent_next, line52_elements},
    {line53_indent_first, line53_indent_next, line53_elements},
    {line54_indent_first, line54_indent_next, line54_elements},
    {line55_indent_first, line55_indent_next, line55_elements},
    {line56_indent_first, line56_indent_next, line56_elements},
    {line57_indent_first, line57_indent_next, line57_elements},
    {line58_indent_first, line58_indent_next, line58_elements},
    {line59_indent_first, line59_indent_next, line59_elements},
    {line60_indent_first, line60_indent_next, line60_elements},
    {line61_indent_first, line61_indent_next, line61_elements},
    {line62_indent_first, line62_indent_next, line62_elements},
    {line63_indent_first, line63_indent_next, line63_elements},
    {line64_indent_first, line64_indent_next, line64_elements},
    {line65_indent_first, line65_indent_next, line65_elements},
    {line66_indent_first, line66_indent_next, line66_elements},
    {line67_indent_first, line67_indent_next, line67_elements},
    {line68_indent_first, line68_indent_next, line68_elements},
    {line69_indent_first, line69_indent_next, line69_elements},
    {line70_indent_first, line70_indent_next, line70_elements},
    {line71_indent_first, line71_indent_next, line71_elements},
    {line72_indent_first, line72_indent_next, line72_elements},
    {line73_indent_first, line73_indent_next, line73_elements},
    {line74_indent_first, line74_indent_next, line74_elements},
    {line75_indent_first, line75_indent_next, line75_elements},
    {line76_indent_first, line76_indent_next, line76_elements},
    {line77_indent_first, line77_indent_next, line77_elements},
    {line78_indent_first, line78_indent_next, line78_elements},
    {line79_indent_first, line79_indent_next, line79_elements},
    {line80_indent_first, line80_indent_next, line80_elements},
    {line81_indent_first, line81_indent_next, line81_elements},
    {line82_indent_first, line82_indent_next, line82_elements},
    {line83_indent_first, line83_indent_next, line83_elements},
    {line84_indent_first, line84_indent_next, line84_elements},
    {line85_indent_first, line85_indent_next, line85_elements},
}};
} // namespace

// NOLINTEND(readability-*)

document get_dwarfsextract_manpage() { return document_array; }

} // namespace dwarfs::tool::manpage
